Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# ExtUtils::MY

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# ExtUtils::MY

- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

ExtUtils::MY - ExtUtils::MakeMaker subclass for customization

# SYNOPSIS

      # in your Makefile.PL  sub MY::whatever {      ...  }

# DESCRIPTION

FOR INTERNAL USE ONLY

ExtUtils::MY is a subclass of ExtUtils::MM. Its provided in your Makefile.PL for you to add and override MakeMaker functionality.

It also provides a convenient alias via the MY class.

ExtUtils::MY might turn out to be a temporary solution, but MY won't go away.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION